from viereckig import Viereckig

class Quader(Viereckig):
    tiefe = 0 

    def __init__(self, hoehe, breite, tiefe, material):
        Viereckig.__init__(self, hoehe, breite, material)
        self.tiefe = tiefe

    def bauen(self, spieler):
        position = spieler.getLocation()
        position.setX(position.getX() + 2)

        welt = spieler.getWorld()

        xStart = position.getX()
        yStart = position.getY()
        zStart = position.getZ()

        for x in range (0, self.tiefe):
            position.setX(xStart + x)
            for y in range (0, self.hoehe):
                position.setY(yStart + y)
                for z in range (0, self.breite):
                    position.setZ(zStart + z)
                    block = welt.getBlockAt(position)
                    block.setType(self.material)